nisrmdir(1)

NAME
nisrmdir - remove NIS+ directories

SYNOPSIS
nisrmdir [ -i ] [ -f ] [ -s hostname ] dirname

DESCRIPTION
The nisrmdir command deletes existing NIS+ subdirectories. It can remove a directory, or simply remove replicas for a given directory.

This command modifies the object that describes the directory dirname, when removing a replica. nisrmdir always notifies each affected replica to remove the directory named dirname. If the notification of any of the affected replicas fails, the directory object is returned to its original state unless the -f option is present.

This command will fail if the NIS+ master server is not running.

OPTIONS

-i  Interactive mode. The nisrmdir command will ask for confirmation prior to removing a directory. If the name specified by dirname is a non-fully qualified name this option is forced on.

-f  Force the command to succeed even though it may not be able to contact the affected replicas.

-s hostname
    Specify that the host hostname should be removed as a replica for the directory named dirname. If this option is not present all replicas and the master server for a directory are removed and the directory is removed from the namespace.

RETURN VALUES

This command returns 0 if it is successful, and 1 otherwise.

ENVIRONMENT

NIS_PATH
    If this variable is set, and the NIS+ directory name is not fully qualified, each directory specified will be searched until the directory is found (see nisdefaults(1)).

SEE ALSO
nis+(1), nisdefaults(1), nismkdir(1), nisrm(1), nisfiles(4)

AUTHOR
This version of the nisrmdir command was written by Thorsten Kukuk <kukuk@vt.uni-paderborn.de>.